Subject: ipoaMtuExceeded Notification

From: Ken Virgile <[email-masked]>
Date: Tue, 11 Nov 1997 12:16:52 -0500

This trap is not desirable for the following reasons:
1.	An oversized frame could only be sent due to a bug. Debugging can 
and should be accomplished using end devices. Debugging should not 
require a NMS to be available for the logging of such "bug discovered" 
events.
2.	It adds overhead to the data path. Every received frame would have 
to be checked. This check is not necessary, since frame size is 
compared against MTU before a frame is transmitted.
3.	A one-to-one relationship between "invalid frame received" and 
"sending an SNMP trap" is not a good model.

Different environments have different requirements. It would be more 
appropriate to make ipoaMtuExceeded optional instead of required. Of 
course, I would have no problem if the trap were eliminated entirely.